Subject: Re: 24.2; Setting 'jit-lock-defer-time' to number prevent some new buffers from automatic fontification.

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 30 Oct 2019 23:40:58 +0100

Oleksandr Gavenko <[email-masked]> writes:

> I write to my .emacs:
>
>   ;; Increase scrolling speed by defer consuming operation.
>   (setq jit-lock-defer-time 0.01)
>
> If I visit some file or create buffer - fontification does not performed until
> I press any key.
>
> For example: "M-x compile make RET" and *compilation* buffer fontified only if
> I press some key after RET. Same with "M-x grep RET" and in another cases.

This was fixed as a special case in compile.el in 2014:
  
  ;; Turn off deferred fontifications in the compilation buffer, if
  ;; the user turned them on globally.  This is because idle timers
  ;; aren't re-run after receiving input from a subprocess, so the
  ;; buffer is left unfontified after the compilation exits, until
  ;; some other input event happens.
  (set (make-local-variable 'jit-lock-defer-time) nil)

However, removing that does not remove all fontifying, but it seems to
happen only after the compilation process has ended.

So I'm not sure -- there seems to be a general problem here, but is it
something that should be fixed?  Or is it up to individual modes (like
compilation mode) to switch delayed fontification off?  There's probably
not a lot of these modes that fontify process output on-the-fly.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no